Monitor request to Bot v3 API

Monitor a specific request to the Bot v3 API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

All calls to the Bot API return a requestId:
"requestId": "d3cf183a-4f30-11e9-bc72-cd9609519b63"

Note this requestId in order to monitor the status of the request.

After some interval of time (depending on the request you've made and your use case for monitoring the call), pass that requestId to GET /bots/v3/request/{requestId}.

The state field of the response indicates the state of the request: PENDING, SUCCESS, or ERROR.

See Monitor requests to the Bot API v3 for an example.

Related endpoints

ActionEndpoint
GET/bots/v3/request/appId/{appId}
Monitor requests to the Bot v3 API by date range, state, and origin
Path Params
string
required

A string. The ID of a known request record received from a previous HTTP request. Do not expect any particular format for the ID.

Find request IDs in a callback request header and a response header named x-amzn-RequestId. You may note the ID and ask for information about the status of certain kinds of requests by using the /request/[requestId} endpoint.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json